PATCH /v2/users/:user-id/rights
curl --request PATCH \
--url https://api.example.com/v2/users/{user-id}/rights \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"rights": [
{
"kind": {
"CanActAs": {
"value": {
"party": "<string>"
}
}
}
}
],
"identityProviderId": "<string>"
}
'import requests
url = "https://api.example.com/v2/users/{user-id}/rights"
payload = {
"userId": "<string>",
"rights": [{ "kind": { "CanActAs": { "value": { "party": "<string>" } } } }],
"identityProviderId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
rights: [{kind: {CanActAs: {value: {party: '<string>'}}}}],
identityProviderId: '<string>'
})
};
fetch('https://api.example.com/v2/users/{user-id}/rights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"newlyRevokedRights": [
{
"kind": {
"CanActAs": {
"value": {
"party": "<string>"
}
}
}
}
]
}"<string>"{
"code": "<string>",
"cause": "<string>",
"context": {},
"errorCategory": 123,
"correlationId": "<string>",
"traceId": "<string>",
"resources": [
[
"<string>"
]
],
"grpcCodeValue": 123,
"retryInfo": "<string>",
"definiteAnswer": true
}PATCH /v2/users/:user-id/rights
Revoke rights from a user. Revoking rights does not affect the resource version of the corresponding user.
PATCH
/
v2
/
users
/
{user-id}
/
rights
PATCH /v2/users/:user-id/rights
Authorizations
httpAuthapiKeyAuth
Ledger API standard JWT token
Path Parameters
Body
application/json
Remove the rights from the set of rights granted to the user.
Required authorization: HasRight(ParticipantAdmin) OR IsAuthenticatedIdentityProviderAdmin(identity_provider_id)
Response
The rights that were actually revoked by the request.
Optional: can be empty
Show child attributes
Show child attributes
Was this page helpful?
⌘I